{website, ...}: {
  networking.firewall.allowedTCPPorts = [80 443];

  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;

    virtualHosts."name.buffet.sh" = {
      useACMEHost = "buffet.sh";
      forceSSL = true;
      locations."/".proxyPass = "http://localhost:18899";
    };

    virtualHosts."buffet.sh" = {
      enableACME = true;
      forceSSL = true;
      root = "${website}";
    };
  };
}
