{pkgs, ...}: {
  home-manager.users.buffet = {
    home.packages = [
      (pkgs.writeScriptBin "nrb" ''
        #!/usr/bin/env bash

        [[ $UID == 0 ]] || {
            echo need to run as root
            exit 1
        }

        nixos-rebuild build --flake ~buffet/rice#alice || exit 1
        diff="$(${pkgs.nvd}/bin/nvd diff /run/current-system result)"
        rm result
        nixos-rebuild switch --flake ~buffet/rice#alice
        echo '***'
        printf '%s\n' "$diff"
      '')
    ];
  };
}
